#include <stdio.h>
#include <stdlib.h>

/*
 * Silly delegate program.  It accepts exactly 5 command-line
 * arguments.  The first 4 must be convertible to double; the last to
 * unsigned int.
 *
 * It prints the results of its extremely complicated algorithm as
 * pairs of double values, one pair per line, on standard output.
 */
int main(int argc, char **argv) {
        double x0, y0;
        double dx, dy;
        unsigned int steps;
        unsigned int i;

        if (argc != 6 ||
            sscanf(argv[1], "%lg", &x0) != 1 ||
            sscanf(argv[2], "%lg", &y0) != 1 ||
            sscanf(argv[3], "%lg", &dx) != 1 ||
            sscanf(argv[4], "%lg", &dy) != 1 ||
            sscanf(argv[5], "%u", &steps) != 1) {
                printf("Usage: %s x y dx dy steps\n", argv[0]);
                exit(1);
        }

        for (i = 0; i < steps; i++) {
                double x = x0 + i * dx;
                double y = y0 + i * dy;

                printf("%g %g\n", x, y);
        }

        return 0;
}
